The Jupiter Developer Platform is live. Previous portal users keep their rate limits for free until 30 June 2026 — set up billing on the new platform before then. See the Migration Guide for details.
curl --request GET \
--url https://api.jup.ag/trigger/v2/orders/history \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'{
"orders": [
{
"id": "<string>",
"orderType": "single",
"orderState": "pending",
"userPubkey": "<string>",
"inputMint": "<string>",
"outputMint": "<string>",
"rawState": "<string>",
"privyWalletPubkey": "<string>",
"initialInputAmount": "<string>",
"remainingInputAmount": "<string>",
"triggerMint": "<string>",
"triggerCondition": "above",
"triggerPriceUsd": 123,
"slippageBps": 123,
"expiresAt": 123,
"createdAt": 123,
"updatedAt": 123,
"triggeredAt": 123,
"outputAmount": "<string>",
"inputUsed": "<string>",
"fillPercent": 123,
"events": [
{
"type": "deposit",
"timestamp": 123,
"txSignature": "<string>",
"state": "success",
"mint": "<string>",
"amount": "<string>",
"outputMint": "<string>",
"outputAmount": "<string>",
"orderContext": "<string>"
}
]
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123
}
}Get historical trigger orders for an account
curl --request GET \
--url https://api.jup.ag/trigger/v2/orders/history \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'{
"orders": [
{
"id": "<string>",
"orderType": "single",
"orderState": "pending",
"userPubkey": "<string>",
"inputMint": "<string>",
"outputMint": "<string>",
"rawState": "<string>",
"privyWalletPubkey": "<string>",
"initialInputAmount": "<string>",
"remainingInputAmount": "<string>",
"triggerMint": "<string>",
"triggerCondition": "above",
"triggerPriceUsd": 123,
"slippageBps": 123,
"expiresAt": 123,
"createdAt": 123,
"updatedAt": 123,
"triggeredAt": 123,
"outputAmount": "<string>",
"inputUsed": "<string>",
"fillPercent": 123,
"events": [
{
"type": "deposit",
"timestamp": 123,
"txSignature": "<string>",
"state": "success",
"mint": "<string>",
"amount": "<string>",
"outputMint": "<string>",
"outputAmount": "<string>",
"orderContext": "<string>"
}
]
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Get API key via https://developers.jup.ag/portal
JWT token from the challenge-response auth flow
Filter by order state group
active, past Filter by token mint address
Results per page
1 <= x <= 100Number of results to skip
Sort field
updated_at, created_at, expires_at Sort direction
asc, desc Was this page helpful?